$bubble-color: pink;
$bubble-size: 7px;
.slider-holder {
  width: 100%;
  height: 25px;
  margin: 0 auto;
  position: relative;
  background-color: lightblue;

  &:focus {
    outline: none;
  }

  .legend {
    position: absolute;
    font-size: 8px;
    top: 100%;
    left: 0;
    text-align: left;
    span {
      position: relative;
      //text-align: center;
      left: -50%;
    }
  }

  @for $i from 2 through 5 {
    .legend:nth-child(#{$i}) {
      $num: ($i * 25% - 25%);
      left: $num;
    }
  }
  .slider-body {
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
    width: 10%;
    background-color: red;
  }

  .slider-head {
    width: 2px;
    position: absolute;
    top: -5%;
    height: 110%;
    background-color: deeppink;

    .bubble {
      position: relative;
      font-size: 10px;
      background: $bubble-color;
      border-radius: .4em;
      text-align: center;
      height: 10px;
      width: 70px;
      top: -67%;
      left: -33px;

      &:after {
        content: '';
        position: absolute;
        bottom: 0;
        left: 50%;
        width: 0;
        height: 0;
        border: $bubble-size solid transparent;
        border-top-color: $bubble-color;
        border-bottom: 0;
        margin-left: (-$bubble-size);
        margin-bottom: (-$bubble-size);
      }
    }
  }
}